<?php 
session_start();
		include_once('php_conexion.php'); 
		include_once('Class/funciones.php'); 
		include_once('Class/class_pacientes.php');
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='e'){
		}else{
			header('location:error.php');
		}
// Report all errors except E_NOTICE
error_reporting(E_ALL & ~E_NOTICE);
 ?>
<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<title>Control de Pacientes</title>
	<link rel="stylesheet" type="text/css" href="bootstrap/css/bootstrap.min.css">
  	<script src="js/jquery.min.js"></script>
  	<script src="bootstrap/js/bootstrap.min.js"></script>
  	<link rel="stylesheet" type="text/css" href="css/labo.css">
  	<link href="css/ionicons.css" rel="stylesheet" type="text/css">
  	<script type="text/javascript">
  		function habilitafecha(){
			if ($('#tipobus').val()=="fecha") {
				$('#bus').attr("type","date");
			}else{
				$('#bus').attr("type","text");
			}
		}
  		function listarinforme(bus,tipobus) {
		    if (bus == "") {
		        document.getElementById("listinforme").innerHTML = "";
		        return;
		    } else { 
		        if (window.XMLHttpRequest) {
		            // code for IE7+, Firefox, Chrome, Opera, Safari
		            xmlhttp = new XMLHttpRequest();
		        } else {
		            // code for IE6, IE5
		            xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		        }
		        xmlhttp.onreadystatechange = function() {
		            if (this.readyState == 4 && this.status == 200) {
		                document.getElementById("listinforme").innerHTML = this.responseText;
		            }
		        };
		        xmlhttp.open("GET","instancias/listainforme.php?bus="+bus+"&tipobus="+tipobus,true);
		        xmlhttp.send();
		    }
		}
		function actualizarinfo(id){			
			var datos = {"id" : id};
			$.ajax({
				data: datos,
				url: "instancias/buscarinforme.php",
				type: 'post',
				dataType:"JSON",
				beforeSend: function(){
					
					//$("#rr").html("<img src='loading.gif' />");
				},
				success: function(response){
					
					if(response.succes == 1){
						$('#empresaact').val(response.empresa);
						$('#empresaact').val(response.empresa);
						$('#nombreact').val(response.nombre+" "+response.apepaterno+" "+response.apematerno);
						$('#numdocact').val(response.numdoc);
						$('#edadact').val(response.edad);
						if (response.genero == "m") {
							$('#generoact').val("Masculino");
						}else{
							$('#generoact').val("Femenino");
						}
						$('#fechaact').val(response.fecha);
						$('#idpacienteact').val(response.idpaciente);
						//datos de triaje
						$('#idtriajeact').val(response.idtriaje);
						$('#pulsoact').val(response.pulso);
						$('#pasistolicaact').val(response.pasistolica);
						$('#padiastolicaact').val(response.padiastolica);
						$('#pamediaact').val(response.pamedia);
						$('#hallazgopamediaact').val(response.hallazgopamedia);
						$('#frespiratoriaact').val(response.frespiratoria);
						$('#temperaturaact').val(response.temperatura);
						$('#oximetriaact').val(response.oximetria);
						$('#pesoact').val(response.peso);
						$('#tallaact').val(response.talla);
						$('#imcact').val(response.imc);
						$('#hallazgoimcact').val(response.hallazgoimc);
						$('#grasaact').val(response.grasa);
						$('#cinturaact').val(response.cintura);
						$('#caderaact').val(response.cadera);
						$('#iccact').val(response.icc);
						$('#hallazgoiccact').val(response.hallazgoicc);
						$('#abdomenact').val(response.abdomen);
						$('#ptinspiracionact').val(response.ptinspiracion);
						$('#ptespiracionact').val(response.ptespiracion);

						$('#actualizar').modal();
					}else{
						$('#empresaact').val(response.empresa);
						$('#nombreact').val(response.nombre+" "+response.apepaterno+" "+response.apematerno);
						$('#numdocact').val(response.numdoc);
						$('#edadact').val(response.edad);
						if (response.genero == "m") {
							$('#generoact').val("Masculino");
						}else{
							$('#generoact').val("Femenino");
						}
						$('#fechaact').val(response.fecha);
						$('#idpacienteact').val(response.idpaciente);

						$('#actualizar').modal();
					}
				},
				error: function(){
					alert("ERROR DE CONEXION CON EL SERVIDOR, CONSULTE CON EL ADMINISTRADOR");
				},
				complete : function(xhr, status) {
			    }
			});
		}
		function pamedia1(pasistolica, padiastolica){
			diastolica=parseInt(padiastolica);
			sistolica=parseInt(pasistolica);

			if (sistolica=="" || diastolica=="") {
				$('#pamediaact').val("");
				$('#hallazgopamediaact').val("");
				return;
			}else{
				datopamedia=(2*diastolica+sistolica)/3;
				$('#pamediaact').val(datopamedia.toFixed(2));
				if (sistolica<=120 && diastolica<=80) {
					$('#hallazgopamediaact').val("Ideal");
				}else if((sistolica>120 || sistolica<180) && (diastolica<80 || diastolica<110)){
					$('#hallazgopamediaact').val("Lectura elevada de la presión arterial");
				}
				if(sistolica>=180){
					alert("PA Sistolica fuera de rango");
					$('#pasistolicaact').val("");
					$('#pamediaact').val("");
					$('#hallazgopamediaact').val("");
				}
				if (diastolica>=110) {
					alert("PA Diastolica fuera de rango");
					$('#padiastolica').val("o");
					$('#pamediaact').val("");
					$('#hallazgopamediaact').val("");	
				}
				return;
			}
		}
		function calculaimc(pesotxt, tallatxt){
			dattalla=parseInt(tallatxt);
			datpeso=parseInt(pesotxt);
			//alert(datpeso+" "+dattalla);
			if (dattalla=="" || datpeso=="") {
				$('#imcact').val("");
				$('#hallazgoimcact').val("");
				return;
			}else{
				datoimc=datpeso/((dattalla/100)*(dattalla/100));
				$('#imcact').val(datoimc.toFixed(2));
				if (datoimc<18.5) {
					$('#hallazgoimcact').val("Bajo Peso");
				}else if(datoimc>=18.5 && datoimc<25){
					$('#hallazgoimcact').val("Peso Ideal");
				}else if(datoimc>=25 && datoimc<30){
					$('#hallazgoimcact').val("Sobrepeso");
				}else if(datoimc>=30 && datoimc<35){
					$('#hallazgoimcact').val("Obesidad I");
				}else if(datoimc>=35 && datoimc<40){
					$('#hallazgoimcact').val("Obesidad II");
				}else if(datoimc>=40 && datoimc<50){
					$('#hallazgoimcact').val("Obesidad III");
				}else if(datoimc>=50){
					$('#hallazgoimcact').val("Obesidad IV");
				}
				return;
			}
		}
		function calculaicc(cinturatxt, caderatxt){
			datcadera=parseInt(caderatxt);
			datcintura=parseInt(cinturatxt);
			//alert(datcintura+" "+datcadera);
			if (datcadera=="" || datcintura=="") {
				$('#iccact').val("");
				$('#hallazgoiccact').val("");
				return;
			}else{
				datoicc=datcintura/datcadera;
				$('#iccact').val(datoicc.toFixed(2));
				if ($('#generoact').val()=="Masculino") {
					if(datoicc<0.78){
						$('#hallazgoiccact').val("Bajo");
					}else if(datoicc>=0.78 && datoicc<=0.94){
						$('#hallazgoiccact').val("Normal");
					}else if(datoicc>0.94){
						$('#hallazgoiccact').val("Alto");
					}
				}else{
					if(datoicc<0.71){
						$('#hallazgoiccact').val("Bajo");
					}else if(datoicc>=0.71 && datoicc<=0.85){
						$('#hallazgoiccact').val("Normal");
					}else if(datoicc>0.85){
						$('#hallazgoiccact').val("Alto");
					}
				}
				return;
			}
		}
		$(document).ready(function() {
			if (window.XMLHttpRequest) {
	            // code for IE7+, Firefox, Chrome, Opera, Safari
	            xmlhttp = new XMLHttpRequest();
	        } else {
	            // code for IE6, IE5
	            xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
	        }
	        xmlhttp.onreadystatechange = function() {
	            if (this.readyState == 4 && this.status == 200) {
	                document.getElementById("listinforme").innerHTML = this.responseText;
	            }
	        };
	        xmlhttp.open("GET","instancias/listainforme.php",true);
	        xmlhttp.send();
		});
  	</script>
</head>
<body>
	<div class="modal fade" id="actualizar" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hiden="true">
		<form name="form2" method="post" enctype="multipart/form-data" action="">
		<div class="modal-dialog modal-lg" role="document">
			<div class="modal-content">
				<div class="modal-header">
					<h5 class="modal-title" id="exampleModalLabel">Triaje</h5>
					<button type="button" class="close modal-sm" data-dismiss="modal" aria-label="close">
						<span aria-hiden="true">&times;</span>
					</button>
				</div>
				<div class="modal-body">
					<div class="row">
						<div class="col-md-12">
							<h5 class="title">Datos del Paciente</h5>
						</div>
					</div>
							<div class="form-row">
								<div class="form-group col-md-12">
									<label for="empresaact">Empresa</label>
									<input type="text" name="empresa" id="empresaact" class="form-control form-control-sm" disabled>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col-md-12">
									<label>Nombre</label>
									<input class="form-control form-control-sm" type="text" name="nombre" id="nombreact" disabled>
								</div>
							</div>
							<div class="form-row">
								<div class="form-group col-md-3">
									<label>Num. Doc.</label>
									<input class="form-control form-control-sm" type="text" name="numdoc" id="numdocact" readonly>
								</div>
								<div class="form-group col-md-3">
									<label>Edad</label>
									<input class="form-control form-control-sm" type="number" name="edad" id="edadact" disabled>
								</div>
								<div class="form-group col-md-3">
									<label>Genero</label>
									<input class="form-control form-control-sm" type="text" name="genero" id="generoact" disabled>
								</div>	
								<div class="form-group col-md-3">
									<label>Fecha</label>
									<input class="form-control form-control-sm" type="date" name="fecha" id="fechaact" readonly>
								</div>				
							</div>
					
					<hr class="my-2">
					<div id="bodyoptions">
					<hr class="my-2">
					<div class="row">
						<div class="col-md-12">
							<h5 class="title">1) FUNCIONES VITALES</h5>
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-4">
							<input type="hidden" name="idpaciente" id="idpacienteact">
							<input type="hidden" name="idtriaje" id="idtriajeact">
							<label>Pulso</label>
							<input class="form-control form-control-sm" type="text" name="pulso" id="pulsoact">
						</div>
						<div class="form-group col-md-4">
							<label>PA Sistólica</label>
							<input class="form-control form-control-sm" type="text" name="pasistolica" id="pasistolicaact" onblur="pamedia1($('#pasistolicaact').val(),$('#padiastolicaact').val());return false;">
						</div>
						<div class="form-group col-md-4">
							<label>PA Diastólica</label>
							<input class="form-control form-control-sm" type="text" name="padiastolica" id="padiastolicaact" onblur="pamedia1($('#pasistolicaact').val(),$('#padiastolicaact').val());return false;">
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-4">
							<label>Fr. Respiratoria</label>
							<input class="form-control form-control-sm" type="text" name="frespiratoria" id="frespiratoriaact">
						</div>
						<div class="form-group col-md-4">
							<label>Temperatura</label>
							<input class="form-control form-control-sm" type="text" name="temperatura" id="temperaturaact">
						</div>
						<div class="form-group col-md-4">
							<label>Oximetria</label>
							<input class="form-control form-control-sm" type="text" name="oximetria" id="oximetriaact">
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-4">
							<label>PA Media</label>
							<input class="form-control form-control-sm" type="text" name="pamedia" id="pamediaact" readonly>
						</div>
						<div class="form-group col-md-8">
							<label>Hallazgo PA Media</label>
							<input class="form-control form-control-sm" type="text" name="hallazgopamedia" id="hallazgopamediaact" readonly>
						</div>
					</div>
					<div class="row">
						<div class="col-md-12">
							<h5 class="title">2) ANTROPOMETRÍA</h5>
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-3">
							<label>Peso: (Kg)</label>
							<input class="form-control form-control-sm" type="text" name="peso" id="pesoact" onblur="calculaimc($('#pesoact').val(),$('#tallaact').val());return false;">
						</div>
						<div class="form-group col-md-3">
							<label>Talla: (cm)</label>
							<input class="form-control form-control-sm" type="text" name="talla" id="tallaact" onblur="calculaimc($('#pesoact').val(),$('#tallaact').val());return false;">
						</div>
						<div class="form-group col-md-3">
							<label>% de grasa</label>
							<input class="form-control form-control-sm" type="text" name="grasa" id="grasaact">
						</div>
						<div class="form-group col-md-3">
							<label>Cintura: (cm)</label>
							<input class="form-control form-control-sm" type="text" name="cintura" id="cinturaact" onblur="calculaicc($('#cinturaact').val(),$('#caderaact').val());return false;">
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-3">
							<label>Cadera: (cm)</label>
							<input class="form-control form-control-sm" type="text" name="cadera" id="caderaact" onblur="calculaicc($('#cinturaact').val(),$('#caderaact').val());return false;">
						</div>
						<div class="form-group col-md-3">
							<label>Abdomen: (cm)</label>
							<input class="form-control form-control-sm" type="text" name="abdomen" id="abdomenact">
						</div>
						<div class="form-group col-md-3">
							<label>P/T inspiración</label>
							<input class="form-control form-control-sm" type="text" name="ptinspiracion" id="ptinspiracionact">
						</div>
						<div class="form-group col-md-3">
							<label>P/T espiración</label>
							<input class="form-control form-control-sm" type="text" name="ptespiracion" id="ptespiracionact">
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col-md-3">
							<label>IMC</label>
							<input class="form-control form-control-sm" type="text" name="imc" id="imcact" readonly>
						</div>
						<div class="form-group col-md-3">
							<label>Hallazgo IMC</label>
							<input class="form-control form-control-sm" type="text" name="hallazgoimc" id="hallazgoimcact" readonly>
						</div>
						<div class="form-group col-md-3">
							<label>ICC</label>
							<input class="form-control form-control-sm" type="text" name="icc" id="iccact" readonly>
						</div>
						<div class="form-group col-md-3">
							<label>Hallazgo ICC</label>
							<input class="form-control form-control-sm" type="text" name="hallazgoicc" id="hallazgoiccact" readonly>
						</div>
					</div>
				</div>	
				<div class="modal-footer">
					<button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
        			<button type="submit" class="btn btn-primary">Guardar</button>
				</div>
			</div>			
		</div>
	</div>
		</form>
	</div> 
	<div class="container-fluid">
		<div class="row justify-content-around">
			<div class="col-sm-12">
				<div class="card border-primary">
					<h5 class="card-header">TRIAJE</h5>
					<div class="card-body">
						<div class="row justify-content-between">
							<div class="col-md-4">
								
							</div>
							<div class="col-md-8">
								<form action="">
								  <div class="form-group">
								    <div class="input-group input-group-sm mb-3">
										<div class="input-group-prepend">
											<label class="input-group-text" for="inputGroupSelect01">Buscar por: </label>
										</div>
										<select name="tipobus" id="tipobus" class="custom-select form-control-sm" onchange="habilitafecha();return false;">
											<option value="numdoc">DNI</option>
											<option value="nombre">Nombre</option>
											<option value="apepaterno">Apellido paterno</option>
											<option value="apematerno">Apellido materno</option>
											<option value="fecha">Fecha de registro</option>
										</select>
										<input type="text" class="form-control form-control-sm" aria-label="Recipient's username" aria-describedby="basic-addon2" id="bus" placeholder="Escribir valor de busqueda">
										<div class="input-group-append">
									    <button class="btn btn-outline-secondary btn-sm" type="submit" onclick="listarinforme($('#bus').val(),$('#tipobus').val());return false;"><span class='ion-android-search'></span> Buscar</button>
									  </div>
									</div>
								  </div>
								</form>
							</div>
						</div>
						<div class="row">
							<?php 
								if(!empty($_POST['temperatura']) and !empty($_POST['idpaciente'])){
									$idpaciente=limpiar($conexion, $_POST['idpaciente']);
									$pulso=limpiar($conexion, $_POST['pulso']);
									$pasistolica=limpiar($conexion, $_POST['pasistolica']);
									$padiastolica=limpiar($conexion, $_POST['padiastolica']);
									$pamedia=limpiar($conexion, $_POST['pamedia']);
									$hallazgopamedia=limpiar($conexion, $_POST['hallazgopamedia']);
									$frespiratoria=limpiar($conexion, $_POST['frespiratoria']);
									$temperatura=limpiar($conexion, $_POST['temperatura']);
									$oximetria=limpiar($conexion, $_POST['oximetria']);
									$peso=limpiar($conexion, $_POST['peso']);
									$talla=limpiar($conexion, $_POST['talla']);
									$imc=limpiar($conexion, $_POST['imc']);
									$hallazgoimc=limpiar($conexion, $_POST['hallazgoimc']);
									$grasa=limpiar($conexion, $_POST['grasa']);
									$cintura=limpiar($conexion, $_POST['cintura']);
									$cadera=limpiar($conexion, $_POST['cadera']);
									$icc=limpiar($conexion, $_POST['icc']);
									$hallazgoicc=limpiar($conexion, $_POST['hallazgoicc']);
									$abdomen=limpiar($conexion, $_POST['abdomen']);
									$ptinspiracion=limpiar($conexion, $_POST['ptinspiracion']);
									$ptespiracion=limpiar($conexion, $_POST['ptespiracion']);
									echo "<script type='text/javascript'>alert('ingreso datos');</script>";

									if(empty($_POST['idtriaje'])){

										$c_triaje = new Proceso_triaje('',$pulso,$pasistolica,$padiastolica,$pamedia,$hallazgopamedia,$frespiratoria,$temperatura,$oximetria,$idpaciente,$peso,$talla,$imc,$hallazgoimc,$grasa,$cintura,$cadera,$icc,$hallazgoicc,$abdomen,$ptinspiracion,$ptespiracion);
										$c_triaje->crear($conexion);
										
										echo '<div class="col-sm">	
												<div class="alert alert-success alert-sm" role="alert">Registrado con Exito en la Base de Datos
													<button type="button" class="close" data-dismiss="alert" aria-label="Close">
														<span aria-hidden="true">&times;</span>
													</button>
												</div>
											</div>';
												
									}elseif(!empty($_POST['idtriaje'])){
										$idtriaje=$_POST['idtriaje'];
										$a_triaje = new Proceso_triaje($idtriaje,$pulso,$pasistolica,$padiastolica,$pamedia,$hallazgopamedia,$frespiratoria,$temperatura,$oximetria,$idpaciente,$peso,$talla,$imc,$hallazgoimc,$grasa,$cintura,$cadera,$icc,$hallazgoicc,$abdomen,$ptinspiracion,$ptespiracion);
										$a_triaje->actualizar($conexion);
																
										echo '<div class="col-sm">	
												<div class="alert alert-success alert-sm" role="alert">Actualizado con Exito en la Base de Datos
													<button type="button" class="close" data-dismiss="alert" aria-label="Close">
														<span aria-hidden="true">&times;</span>
													</button>
												</div>
											</div>';
									}
								}
							?>
							<!--<div class="col-sm">
								<div class="alert alert-success alert-sm" role="alert">
								  This is a primary alert with <a href="#" class="alert-link">an example link</a>. Give it a click if you like.
								  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
								    <span aria-hidden="true">&times;</span>
								  </button>
								</div>
							</div>-->
						</div>
					</div>
				</div>
			</div>
		</div>
		<hr class="my-2">
		<div class="row">
			<div class="col-md-12" id="listinforme">
				
			</div>
		</div>
	</div>	
</body>
</html>